Bug 1280114 - Skychart Aborts on Initialization
Skychart Aborts on Initialization
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: skychart (Show other bugs)
23
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Mattia Verga
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-10 19:12 EST by Francis Pinteric
Modified: 2015-11-25 16:52 EST (History)
2 users (show)

See Also:
Fixed In Version: skychart-3.11-1.3141svn.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-25 16:52:43 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Francis Pinteric 2015-11-10 19:12:47 EST
Description of problem:On invocation of Skychart, dialog popup with the following message is displayed:
___
Create f_calendar: Error reading Date1.ButtonWidth: Unknown property: "ButtonWidth"
Something went wrong during the initialization of the program. The program needs to be closed.
Please try to reinstall the program.
____

After programme delete and reinstall problem persists.

Version-Release number of selected component (if applicable): skychart.x86_64 3.10-6.fc23


How reproducible: Happens every time on invocation


Steps to Reproduce:
1. From Gnome Shell type 'shychart' and press enter
2. Wait for error dialog

Actual results: Programme faults on error dialog


Expected results: Skychart running as usual


Additional info: None
Comment 1 Mattia Verga 2015-11-12 12:20:46 EST
This is an incompatibility with lazarus 1.4, I thought to have fixed that backporting a patch, but it seems there's something wrong again.

I will take a look at that in the weekend and try to check with the latest svn version.
Comment 2 Fedora Update System 2015-11-14 07:14:52 EST
skychart-3.11-1.3141svn.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-f199e10f87
Comment 3 Francis Pinteric 2015-11-14 18:36:37 EST
Now boots properly thanks.

I read the startup comments concerning new Indi operations. Unfortunately, my Celestron mount is in the shop for repairs. Looking forward to testing.
Comment 4 Fedora Update System 2015-11-15 00:25:40 EST
skychart-3.11-1.3141svn.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update skychart'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-f199e10f87
Comment 5 Fedora Update System 2015-11-25 16:52:41 EST
skychart-3.11-1.3141svn.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.